if(NOT WIN32)
    string(ASCII 27 Esc)
    set(ColourReset "${Esc}[m")
    set(ColourBold  "${Esc}[1m")
    set(Red         "${Esc}[31m")
    set(Green       "${Esc}[32m")
    set(Yellow      "${Esc}[33m")
    set(Blue        "${Esc}[34m")
    set(Magenta     "${Esc}[35m")
    set(Cyan        "${Esc}[36m")
    set(White       "${Esc}[37m")
    set(BoldRed     "${Esc}[1;31m")
    set(BoldGreen   "${Esc}[1;32m")
    set(BoldYellow  "${Esc}[1;33m")
    set(BoldBlue    "${Esc}[1;34m")
    set(BoldMagenta "${Esc}[1;35m")
    set(BoldCyan    "${Esc}[1;36m")
    set(BoldWhite   "${Esc}[1;37m")
endif(NOT WIN32)

function(add_dependency dependency)
    if(NOT PROJECT_${dependency})
        find_package(${dependency} CONFIG REQUIRED)
    else(NOT PROJECT_${dependency})
        include_directories(../${dependency}/include)
    endif(NOT PROJECT_${dependency})
endfunction(add_dependency)

set(HAPPY "${BoldGreen}:)${ColourReset}")
set(SAD ":(")

function(info)
    message(STATUS "${Green}${ARGV}${ColourReset}")
endfunction(info)

function(fatal_info)
    message(STATUS "${BoldRed}${ARGV} ${SAD}${ColourReset}")
endfunction(fatal_info)

function(fatal_abort)
    message(FATAL_ERROR "${BoldRed}${ARGV} ${SAD}${ColourReset}")
endfunction(fatal_abort)
